height = 10.0;
fflc = 3.0;
surf_len = 0.02;
lete_factor = 0.25;

Geometry.Tolerance = 1.0e-12;
Mesh.CharacteristicLengthMax = fflc;
Mesh.CharacteristicLengthExtendFromBoundary = 0;
Mesh.SaveParametric = 1;
Merge "rae2822ExtrudeWTE_0.2C.stp";

Mesh.Algorithm = 7;
Mesh.Algorithm3D = 7;


Physical Surface(6) = {6:9};
Physical Surface(7) = {1:3};
Physical Surface(20) = {4:5};

Physical Volume(0) = {1};



Field[5] = Box;
Field[5].VOut = fflc;
Field[5].VIn = surf_len;
Field[5].XMax = 1.1;
Field[5].XMin = -0.1;
Field[5].YMax = 2;
Field[5].YMin = -1;
Field[5].ZMax = 0.15;
Field[5].ZMin = -0.1;

Field[6] = Box;
Field[6].VOut = fflc;
Field[6].VIn = 3*surf_len;
Field[6].XMax = 5;
Field[6].XMin = -0.5;
Field[6].YMax = 2;
Field[6].YMin = -1;
Field[6].ZMax = 0.3;
Field[6].ZMin = -0.2;

Field[7] = Box;
Field[7].VOut = fflc;
Field[7].VIn = 0.25;
Field[7].XMax = 4;
Field[7].XMin = -1;
Field[7].YMax = 2;
Field[7].YMin = -1;
Field[7].ZMax = 0.5;
Field[7].ZMin = -0.5;


Field[8] = Box;
Field[8].VOut = fflc;
Field[8].VIn = 0.5;
Field[8].XMax = 5;
Field[8].XMin = -1;
Field[8].YMax = 2;
Field[8].YMin = -1;
Field[8].ZMax = 1;
Field[8].ZMin = -1;

Field[20] = AttractorAnisoCurve;
Field[20].EdgesList = {2,4,7};
Field[20].NNodesByEdge = 1000;
Field[20].dMin = 0.0025;
Field[20].dMax = 10;
Field[20].lMinNormal = 0.003;
Field[20].lMinTangent = surf_len;
Field[20].lMaxNormal = fflc;
Field[20].lMaxTangent = fflc;


Field[10] = MinAniso;
Field[10].FieldsList = {5,6,7,8,20};

Background Field = 10;

